package com.ruoyi.bst.model.mapper;

import java.util.List;
import com.ruoyi.bst.model.domain.Model;
import com.ruoyi.bst.model.domain.ModelVO;
import com.ruoyi.bst.model.domain.ModelQuery;
import org.apache.ibatis.annotations.Param;

/**
 * 车辆型号Mapper接口
 *
 * @author ruoyi
 * @date 2025-03-18
 */
public interface ModelMapper
{
    /**
     * 查询车辆型号
     *
     * @param id 车辆型号主键
     * @return 车辆型号
     */
    ModelVO selectModelById(Long id);

    /**
     * 查询车辆型号列表
     *
     * @param query 车辆型号
     * @return 车辆型号集合
     */
    List<ModelVO> selectModelList(@Param("query")ModelQuery query);

    /**
     * 新增车辆型号
     *
     * @param model 车辆型号
     * @return 结果
     */
    int insertModel(Model model);

    /**
     * 批量新增车辆型号
     */
    int batchInsert(@Param("list") List<? extends Model> list);

    /**
     * 批量修改车辆型号
     */
    int batchUpdate(@Param("list") List<? extends Model> list);

    /**
     * 修改车辆型号
     *
     * @param model 车辆型号
     * @return 结果
     */
    public int updateModel(@Param("data") Model model);

    /**
     * 删除车辆型号
     *
     * @param id 车辆型号主键
     * @return 结果
     */
    int deleteModelById(Long id);

    /**
     * 批量删除车辆型号
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteModelByIds(Long[] ids);
}
