package com.ruoyi.bst.modelSuit.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.ruoyi.bst.modelSuit.domain.ModelSuit;
import com.ruoyi.bst.modelSuit.domain.ModelSuitQuery;
import com.ruoyi.bst.modelSuit.domain.ModelSuitVO;

/**
 * 车型与收费模版关系Mapper接口
 *
 * @author ruoyi
 * @date 2025-03-18
 */
public interface ModelSuitMapper
{
    /**
     * 查询车型与收费模版关系
     *
     * @param suitId 车型与收费模版关系主键
     * @return 车型与收费模版关系
     */
    ModelSuitVO selectModelSuitBySuitId(Long suitId);

    /**
     * 查询车型与收费模版关系列表
     *
     * @param query 车型与收费模版关系
     * @return 车型与收费模版关系集合
     */
    List<ModelSuitVO> selectModelSuitList(@Param("query")ModelSuitQuery query);

    /**
     * 新增车型与收费模版关系
     *
     * @param modelSuit 车型与收费模版关系
     * @return 结果
     */
    int insertModelSuit(ModelSuit modelSuit);

    /**
     * 批量新增车型与收费模版关系
     */
    int batchInsert(@Param("list") List<? extends ModelSuit> list);

    /**
     * 批量修改车型与收费模版关系
     */
    int batchUpdate(@Param("list") List<? extends ModelSuit> list);

    /**
     * 修改车型与收费模版关系
     *
     * @param modelSuit 车型与收费模版关系
     * @return 结果
     */
    public int updateModelSuit(@Param("data") ModelSuit modelSuit);

    /**
     * 删除车型与收费模版关系
     *
     * @param suitId 车型与收费模版关系主键
     * @return 结果
     */
    int deleteModelSuitBySuitId(Long suitId);

    /**
     * 批量删除车型与收费模版关系
     *
     * @param suitIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteModelSuitBySuitIds(Long[] suitIds);

    /**
     * 删除车型与收费模版关系信息
     *
     * @param id 车型主键
     * @return 结果
     */
    int deleteByModelId(@Param("modelId") Long modelId);
}
