package com.ruoyi.bst.modelSuit.service;

import java.util.List;

import com.ruoyi.bst.modelSuit.domain.ModelSuit;
import com.ruoyi.bst.modelSuit.domain.ModelSuitQuery;
import com.ruoyi.bst.modelSuit.domain.ModelSuitVO;

/**
 * 车型与收费模版关系Service接口
 *
 * @author ruoyi
 * @date 2025-03-18
 */
public interface ModelSuitService
{
    /**
     * 查询车型与收费模版关系
     *
     * @param suitId 车型与收费模版关系主键
     * @return 车型与收费模版关系
     */
    public ModelSuitVO selectModelSuitBySuitId(Long suitId);

    /**
     * 查询车型与收费模版关系列表
     *
     * @param modelSuit 车型与收费模版关系
     * @return 车型与收费模版关系集合
     */
    public List<ModelSuitVO> selectModelSuitList(ModelSuitQuery modelSuit);

    /**
     * 新增车型与收费模版关系
     *
     * @param modelSuit 车型与收费模版关系
     * @return 结果
     */
    public int insertModelSuit(ModelSuit modelSuit);

    /**
     * 修改车型与收费模版关系
     *
     * @param modelSuit 车型与收费模版关系
     * @return 结果
     */
    public int updateModelSuit(ModelSuit modelSuit);

    /**
     * 批量删除车型与收费模版关系
     *
     * @param suitIds 需要删除的车型与收费模版关系主键集合
     * @return 结果
     */
    public int deleteModelSuitBySuitIds(Long[] suitIds);

    /**
     * 删除车型与收费模版关系信息
     *
     * @param suitId 车型与收费模版关系主键
     * @return 结果
     */
    public int deleteModelSuitBySuitId(Long suitId);

    /**
     * 删除车型与收费模版关系信息
     *
     * @param id 车型主键
     * @return 结果
     */
    public int deleteByModelId(Long id);

    /**
     * 批量新增车型与收费模版关系
     *
     * @param modelSuitList 车型与收费模版关系列表
     * @return 结果
     */
    public int batchInsert(List<ModelSuit> list);
}
