package com.ruoyi.bst.modelSuit.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ruoyi.bst.modelSuit.domain.ModelSuit;
import com.ruoyi.bst.modelSuit.domain.ModelSuitQuery;
import com.ruoyi.bst.modelSuit.domain.ModelSuitVO;
import com.ruoyi.bst.modelSuit.mapper.ModelSuitMapper;
import com.ruoyi.bst.modelSuit.service.ModelSuitService;
import com.ruoyi.common.utils.collection.CollectionUtils;

/**
 * 车型与收费模版关系Service业务层处理
 *
 * @author ruoyi
 * @date 2025-03-18
 */
@Service
public class ModelSuitServiceImpl implements ModelSuitService
{
    @Autowired
    private ModelSuitMapper modelSuitMapper;

    /**
     * 查询车型与收费模版关系
     *
     * @param suitId 车型与收费模版关系主键
     * @return 车型与收费模版关系
     */
    @Override
    public ModelSuitVO selectModelSuitBySuitId(Long suitId)
    {
        return modelSuitMapper.selectModelSuitBySuitId(suitId);
    }

    /**
     * 查询车型与收费模版关系列表
     *
     * @param modelSuit 车型与收费模版关系
     * @return 车型与收费模版关系
     */
    @Override
    public List<ModelSuitVO> selectModelSuitList(ModelSuitQuery modelSuit)
    {
        return modelSuitMapper.selectModelSuitList(modelSuit);
    }

    /**
     * 新增车型与收费模版关系
     *
     * @param modelSuit 车型与收费模版关系
     * @return 结果
     */
    @Override
    public int insertModelSuit(ModelSuit modelSuit)
    {
        return modelSuitMapper.insertModelSuit(modelSuit);
    }

    /**
     * 修改车型与收费模版关系
     *
     * @param modelSuit 车型与收费模版关系
     * @return 结果
     */
    @Override
    public int updateModelSuit(ModelSuit modelSuit)
    {
        return modelSuitMapper.updateModelSuit(modelSuit);
    }

    /**
     * 批量删除车型与收费模版关系
     *
     * @param suitIds 需要删除的车型与收费模版关系主键
     * @return 结果
     */
    @Override
    public int deleteModelSuitBySuitIds(Long[] suitIds)
    {
        return modelSuitMapper.deleteModelSuitBySuitIds(suitIds);
    }

    /**
     * 删除车型与收费模版关系信息
     *
     * @param suitId 车型与收费模版关系主键
     * @return 结果
     */
    @Override
    public int deleteModelSuitBySuitId(Long suitId)
    {
        return modelSuitMapper.deleteModelSuitBySuitId(suitId);
    }

    @Override
    public int deleteByModelId(Long modelId)
    {
        if (modelId == null) {
            return 0;
        }
        return modelSuitMapper.deleteByModelId(modelId);
    }

    @Override
    public int batchInsert(List<ModelSuit> list)
    {
        if (CollectionUtils.isEmpty(list)) {
            return 0;
        }
        return modelSuitMapper.batchInsert(list);
    }
}
